<html>
<head>
<title>OGRE: Ogre::RenderQueue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a></div>
<h1>Ogre::RenderQueue Class Reference</h1><!-- doxytag: class="Ogre::RenderQueue" -->Class to manage the scene object rendering queue.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderQueue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>,<br>
 <a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">RenderQueueGroupMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">RenderQueueGroupMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#4cf42f3f073ba37a87a555e37143ed1e">QueueGroupIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator over queue groups.  <a href="#4cf42f3f073ba37a87a555e37143ed1e"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#5454a3907c8ce62ab9454b7e4e6ef818">RenderQueue</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#15db5053b0d5bbd21cf9e797ea06f0d9">~RenderQueue</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#7351e9922649a71a54fb5b0ccfb525c4">clear</a> (bool destroyPassMaps=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Empty the queue - should only be called by SceneManagers.  <a href="#7351e9922649a71a54fb5b0ccfb525c4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#6d85342418d78d733f887530e73da1c0">getQueueGroup</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> qid)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a render queue group.  <a href="#6d85342418d78d733f887530e73da1c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#edb30e0dd6cd6db7f74650d311a68013">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> groupID, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> priority)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a renderable object to the queue.  <a href="#edb30e0dd6cd6db7f74650d311a68013"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#8b67aff41b50d24cef0420871ce6f3af">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> groupId)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a renderable object to the queue.  <a href="#8b67aff41b50d24cef0420871ce6f3af"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#cc8caa5feac9cee401f34f5aa1918d0d">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a renderable object to the queue.  <a href="#cc8caa5feac9cee401f34f5aa1918d0d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#b263254bd0c13a91c44d5fafd18c16c3">getDefaultQueueGroup</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current default queue group, which will be used for all renderable which do not specify which group they wish to be on.  <a href="#b263254bd0c13a91c44d5fafd18c16c3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#eb5d94b3d357524a08affce11c383374">setDefaultRenderablePriority</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> priority)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the current default renderable priority, which will be used for all renderables which do not specify which priority they wish to use.  <a href="#eb5d94b3d357524a08affce11c383374"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#3903367113d6a51591ad16faeb17e8e0">getDefaultRenderablePriority</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current default renderable priority, which will be used for all renderables which do not specify which priority they wish to use.  <a href="#3903367113d6a51591ad16faeb17e8e0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#ee86531136c2069ab7ed03ec8802b624">setDefaultQueueGroup</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> grp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the current default queue group, which will be used for all renderable which do not specify which group they wish to be on.  <a href="#ee86531136c2069ab7ed03ec8802b624"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">QueueGroupIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#591e66972499413f4f911ab3dfcf0412">_getQueueGroupIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method, returns an iterator for the queue groups.  <a href="#591e66972499413f4f911ab3dfcf0412"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#12c00d063c95049da895c7bfc8923311">setSplitPassesByLightingType</a> (bool split)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal.  <a href="#12c00d063c95049da895c7bfc8923311"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#4edec1309abf170a0dd09612911fc4bc">setSplitNoShadowPasses</a> (bool split)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not the queue will split passes which have shadow receive turned off (in their parent material), which is needed when certain shadow techniques are used.  <a href="#4edec1309abf170a0dd09612911fc4bc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#ac9a571f752196f24799e5aebb6bd715">setShadowCastersCannotBeReceivers</a> (bool ind)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not objects which cast shadows should be treated as never receiving shadows.  <a href="#ac9a571f752196f24799e5aebb6bd715"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#4830aa759ae0619a637dc979f8f0d581">setRenderableListener</a> (<a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a> *listener)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a renderable listener on the queue.  <a href="#4830aa759ae0619a637dc979f8f0d581"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#0833e163d52c2fffef84dfe81af1606a">getRenderableListener</a> (void) const </td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">RenderQueueGroupMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#af91a53059c0a0f61c07d3a0753a3bfe">mGroups</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#7166e043e0913cb1e08e4737befce3f6">mDefaultQueueGroup</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The current default queue group.  <a href="#7166e043e0913cb1e08e4737befce3f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#f1e1472401b4e1d24676e60d41b4705d">mDefaultRenderablePriority</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default priority.  <a href="#f1e1472401b4e1d24676e60d41b4705d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#f5adba44e7d9c936efcb35d389d5bb58">mSplitPassesByLightingType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#66986fa9c851664d568e3dbb5a2d40cb">mSplitNoShadowPasses</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#bfb15a31918778ed0e0c74aacf3358f6">mShadowCastersCannotBeReceivers</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html#dd07814ff649c3a7a914fa3961a83a3d">mRenderableListener</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class to listen in on items being added to the render queue.  <a href="classOgre_1_1RenderQueue_1_1RenderableListener.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class to manage the scene object rendering queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Objects are grouped by material to minimise rendering state changes. The map from material to renderable object is wrapped in a class for ease of use. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This class now includes the concept of 'queue groups' which allows the application adding the renderable to specifically schedule it so that it is included in a discrete group. Good for separating renderables into the main scene, backgrounds and overlays, and also could be used in the future for more complex multipass routines like stenciling. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00082">82</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="13888e99247750aefc38fee2e106c2b9"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueueGroupMap" ref="13888e99247750aefc38fee2e106c2b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt; <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>, <a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a>* &gt; <a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">Ogre::RenderQueue::RenderQueueGroupMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00085">85</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4cf42f3f073ba37a87a555e37143ed1e"></a><!-- doxytag: member="Ogre::RenderQueue::QueueGroupIterator" ref="4cf42f3f073ba37a87a555e37143ed1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">RenderQueueGroupMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::RenderQueue::QueueGroupIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Iterator over queue groups. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00087">87</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="5454a3907c8ce62ab9454b7e4e6ef818"></a><!-- doxytag: member="Ogre::RenderQueue::RenderQueue" ref="5454a3907c8ce62ab9454b7e4e6ef818" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderQueue::RenderQueue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="15db5053b0d5bbd21cf9e797ea06f0d9"></a><!-- doxytag: member="Ogre::RenderQueue::~RenderQueue" ref="15db5053b0d5bbd21cf9e797ea06f0d9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderQueue::~RenderQueue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="7351e9922649a71a54fb5b0ccfb525c4"></a><!-- doxytag: member="Ogre::RenderQueue::clear" ref="7351e9922649a71a54fb5b0ccfb525c4" args="(bool destroyPassMaps=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::clear           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>destroyPassMaps</em> = <code>false</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Empty the queue - should only be called by SceneManagers. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>destroyPassMaps</em>&nbsp;</td><td>Set to true to destroy all pass maps so that the queue is completely clean (useful when switching scene managers) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="6d85342418d78d733f887530e73da1c0"></a><!-- doxytag: member="Ogre::RenderQueue::getQueueGroup" ref="6d85342418d78d733f887530e73da1c0" args="(uint8 qid)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a>* Ogre::RenderQueue::getQueueGroup           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>qid</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a render queue group. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>OGRE registers new queue groups as they are requested, therefore this method will always return a valid group. </dd></dl>

</div>
</div><p>
<a class="anchor" name="edb30e0dd6cd6db7f74650d311a68013"></a><!-- doxytag: member="Ogre::RenderQueue::addRenderable" ref="edb30e0dd6cd6db7f74650d311a68013" args="(Renderable *pRend, uint8 groupID, ushort priority)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::addRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>pRend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>groupID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>priority</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a renderable object to the queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This methods adds a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to the queue, which will be rendered later by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. This is the advanced version of the call which allows the renderable to be added to any queue. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Called by implementation of <a class="el" href="classOgre_1_1MovableObject.html#c77b03ec95bbe3de7d9b9d7993dc785e" title="Internal method by which the movable object must add Renderable subclass instances...">MovableObject::_updateRenderQueue</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pRend</em>&nbsp;</td><td>Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to be added to the queue </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupID</em>&nbsp;</td><td>The group the renderable is to be added to. This can be used to schedule renderable objects in separate groups such that the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> respects the divisions between the groupings and does not reorder them outside these boundaries. This can be handy for overlays where no matter what you want the overlay to be rendered last. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>priority</em>&nbsp;</td><td>Controls the priority of the renderable within the queue group. If this number is raised, the renderable will be rendered later in the group compared to it's peers. Don't use this unless you really need to, manually ordering renderables prevents OGRE from sorting them for best efficiency. However this could be useful for ordering 2D elements manually for example. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="8b67aff41b50d24cef0420871ce6f3af"></a><!-- doxytag: member="Ogre::RenderQueue::addRenderable" ref="8b67aff41b50d24cef0420871ce6f3af" args="(Renderable *pRend, uint8 groupId)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::addRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>pRend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>groupId</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a renderable object to the queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This methods adds a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to the queue, which will be rendered later by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. This is the simplified version of the call which does not require a priority to be specified. The queue priority is take from the current default (see setDefaultRenderablePriority). </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Called by implementation of <a class="el" href="classOgre_1_1MovableObject.html#c77b03ec95bbe3de7d9b9d7993dc785e" title="Internal method by which the movable object must add Renderable subclass instances...">MovableObject::_updateRenderQueue</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pRend</em>&nbsp;</td><td>Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to be added to the queue </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupID</em>&nbsp;</td><td>The group the renderable is to be added to. This can be used to schedule renderable objects in separate groups such that the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> respects the divisions between the groupings and does not reorder them outside these boundaries. This can be handy for overlays where no matter what you want the overlay to be rendered last. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="cc8caa5feac9cee401f34f5aa1918d0d"></a><!-- doxytag: member="Ogre::RenderQueue::addRenderable" ref="cc8caa5feac9cee401f34f5aa1918d0d" args="(Renderable *pRend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::addRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>pRend</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a renderable object to the queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This methods adds a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to the queue, which will be rendered later by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. This is the simplified version of the call which does not require a queue or priority to be specified. The queue group is taken from the current default (see setDefaultQueueGroup). The queue priority is take from the current default (see setDefaultRenderablePriority). </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Called by implementation of <a class="el" href="classOgre_1_1MovableObject.html#c77b03ec95bbe3de7d9b9d7993dc785e" title="Internal method by which the movable object must add Renderable subclass instances...">MovableObject::_updateRenderQueue</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pRend</em>&nbsp;</td><td>Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to be added to the queue </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="b263254bd0c13a91c44d5fafd18c16c3"></a><!-- doxytag: member="Ogre::RenderQueue::getDefaultQueueGroup" ref="b263254bd0c13a91c44d5fafd18c16c3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> Ogre::RenderQueue::getDefaultQueueGroup           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current default queue group, which will be used for all renderable which do not specify which group they wish to be on. 
<p>

</div>
</div><p>
<a class="anchor" name="eb5d94b3d357524a08affce11c383374"></a><!-- doxytag: member="Ogre::RenderQueue::setDefaultRenderablePriority" ref="eb5d94b3d357524a08affce11c383374" args="(ushort priority)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::setDefaultRenderablePriority           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>priority</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the current default renderable priority, which will be used for all renderables which do not specify which priority they wish to use. 
<p>

</div>
</div><p>
<a class="anchor" name="3903367113d6a51591ad16faeb17e8e0"></a><!-- doxytag: member="Ogre::RenderQueue::getDefaultRenderablePriority" ref="3903367113d6a51591ad16faeb17e8e0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderQueue::getDefaultRenderablePriority           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current default renderable priority, which will be used for all renderables which do not specify which priority they wish to use. 
<p>

</div>
</div><p>
<a class="anchor" name="ee86531136c2069ab7ed03ec8802b624"></a><!-- doxytag: member="Ogre::RenderQueue::setDefaultQueueGroup" ref="ee86531136c2069ab7ed03ec8802b624" args="(uint8 grp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::setDefaultQueueGroup           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>grp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the current default queue group, which will be used for all renderable which do not specify which group they wish to be on. 
<p>

</div>
</div><p>
<a class="anchor" name="591e66972499413f4f911ab3dfcf0412"></a><!-- doxytag: member="Ogre::RenderQueue::_getQueueGroupIterator" ref="591e66972499413f4f911ab3dfcf0412" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">QueueGroupIterator</a> Ogre::RenderQueue::_getQueueGroupIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method, returns an iterator for the queue groups. 
<p>

</div>
</div><p>
<a class="anchor" name="12c00d063c95049da895c7bfc8923311"></a><!-- doxytag: member="Ogre::RenderQueue::setSplitPassesByLightingType" ref="12c00d063c95049da895c7bfc8923311" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::setSplitPassesByLightingType           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>split</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal. 
<p>

</div>
</div><p>
<a class="anchor" name="4edec1309abf170a0dd09612911fc4bc"></a><!-- doxytag: member="Ogre::RenderQueue::setSplitNoShadowPasses" ref="4edec1309abf170a0dd09612911fc4bc" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::setSplitNoShadowPasses           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>split</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not the queue will split passes which have shadow receive turned off (in their parent material), which is needed when certain shadow techniques are used. 
<p>

</div>
</div><p>
<a class="anchor" name="ac9a571f752196f24799e5aebb6bd715"></a><!-- doxytag: member="Ogre::RenderQueue::setShadowCastersCannotBeReceivers" ref="ac9a571f752196f24799e5aebb6bd715" args="(bool ind)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::setShadowCastersCannotBeReceivers           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>ind</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not objects which cast shadows should be treated as never receiving shadows. 
<p>

</div>
</div><p>
<a class="anchor" name="4830aa759ae0619a637dc979f8f0d581"></a><!-- doxytag: member="Ogre::RenderQueue::setRenderableListener" ref="4830aa759ae0619a637dc979f8f0d581" args="(RenderableListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueue::setRenderableListener           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a> *&nbsp;</td>
          <td class="paramname"> <em>listener</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set a renderable listener on the queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>There can only be a single renderable listener on the queue, since that listener has complete control over the techniques in use. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00246">246</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0833e163d52c2fffef84dfe81af1606a"></a><!-- doxytag: member="Ogre::RenderQueue::getRenderableListener" ref="0833e163d52c2fffef84dfe81af1606a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a>* Ogre::RenderQueue::getRenderableListener           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00249">249</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="af91a53059c0a0f61c07d3a0753a3bfe"></a><!-- doxytag: member="Ogre::RenderQueue::mGroups" ref="af91a53059c0a0f61c07d3a0753a3bfe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">RenderQueueGroupMap</a> <a class="el" href="classOgre_1_1RenderQueue.html#af91a53059c0a0f61c07d3a0753a3bfe">Ogre::RenderQueue::mGroups</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00119">119</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7166e043e0913cb1e08e4737befce3f6"></a><!-- doxytag: member="Ogre::RenderQueue::mDefaultQueueGroup" ref="7166e043e0913cb1e08e4737befce3f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueue.html#7166e043e0913cb1e08e4737befce3f6">Ogre::RenderQueue::mDefaultQueueGroup</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The current default queue group. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00121">121</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f1e1472401b4e1d24676e60d41b4705d"></a><!-- doxytag: member="Ogre::RenderQueue::mDefaultRenderablePriority" ref="f1e1472401b4e1d24676e60d41b4705d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderQueue.html#f1e1472401b4e1d24676e60d41b4705d">Ogre::RenderQueue::mDefaultRenderablePriority</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The default priority. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00123">123</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f5adba44e7d9c936efcb35d389d5bb58"></a><!-- doxytag: member="Ogre::RenderQueue::mSplitPassesByLightingType" ref="f5adba44e7d9c936efcb35d389d5bb58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueue.html#f5adba44e7d9c936efcb35d389d5bb58">Ogre::RenderQueue::mSplitPassesByLightingType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00125">125</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="66986fa9c851664d568e3dbb5a2d40cb"></a><!-- doxytag: member="Ogre::RenderQueue::mSplitNoShadowPasses" ref="66986fa9c851664d568e3dbb5a2d40cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueue.html#66986fa9c851664d568e3dbb5a2d40cb">Ogre::RenderQueue::mSplitNoShadowPasses</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00126">126</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bfb15a31918778ed0e0c74aacf3358f6"></a><!-- doxytag: member="Ogre::RenderQueue::mShadowCastersCannotBeReceivers" ref="bfb15a31918778ed0e0c74aacf3358f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueue.html#bfb15a31918778ed0e0c74aacf3358f6">Ogre::RenderQueue::mShadowCastersCannotBeReceivers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00127">127</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dd07814ff649c3a7a914fa3961a83a3d"></a><!-- doxytag: member="Ogre::RenderQueue::mRenderableListener" ref="dd07814ff649c3a7a914fa3961a83a3d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a>* <a class="el" href="classOgre_1_1RenderQueue.html#dd07814ff649c3a7a914fa3961a83a3d">Ogre::RenderQueue::mRenderableListener</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00129">129</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:05 2008
</p>
</body>
</html>
